/// <reference types="react" />
import { BaseComponent } from '../../Utilities';
import { IPopupProps } from './Popup.types';
/**
 * This adds accessibility to Dialog and Panel controls
 */
export declare class Popup extends BaseComponent<IPopupProps, {}> {
    static defaultProps: IPopupProps;
    _root: {
        (component: HTMLDivElement | null): void;
        value: HTMLDivElement | null;
    };
    private _originalFocusedElement;
    private _containsFocus;
    componentWillMount(): void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
    private _onKeyDown;
    private _onFocus();
    private _onBlur();
}
